メインコンテンツへスキップ
POST
/
collaboration_whitelist_entries
cURL
curl -i -X POST "https://api.box.com/2.0/collaboration_whitelist_entries" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "domain": "example.com",
       "direction": "inboud"
     }'
{
  "id": "11446498",
  "type": "collaboration_whitelist_entry",
  "domain": "example.com",
  "direction": "both",
  "enterprise": {
    "id": "11446498",
    "type": "enterprise",
    "name": "Acme Inc."
  },
  "created_at": "2012-12-12T10:53:43-08:00"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
domain
string
必須

許可されたドメインのリストに追加するドメイン。

:

"example.com"

direction
enum<string>
必須

コラボレーションを許可する方向。

利用可能なオプション:
inbound,
outbound,
both
:

"inbound"

レスポンス

許可されたドメインのリストに新しいエントリを返します。

ユーザーが社内のファイルやフォルダでコラボレーションできる (またはコラボレーションできない) 承認済みドメインを表すエントリ。

id
string

このエントリの一意の識別子。

:

"11446498"

type
enum<string>

値は常にcollaboration_whitelist_entryになります。

利用可能なオプション:
collaboration_whitelist_entry
:

"collaboration_whitelist_entry"

domain
string

許可リストに登録されるドメイン。

:

"example.com"

direction
enum<string>

許可するコラボレーションの方向。

利用可能なオプション:
inbound,
outbound,
both
:

"both"

enterprise
Enterprise · object

このリストが適用される企業。

created_at
string<date-time>

エントリが作成された日時。

:

"2012-12-12T10:53:43-08:00"